curl -X GET '/subscription/current' \
-H 'Authorization: Bearer YOUR_ACCESS_TOKEN'
{
"success": true,
"data": {
"tier_id": "tier_pro",
"tier_name": "Pro",
"status": "active",
"auto_renew": true,
"current_period_start": "2026-04-01T00:00:00Z",
"current_period_end": "2026-05-01T00:00:00Z",
"price_usd": 49,
"features": {
"rate_limit": 300,
"wallets": 50,
"api_keys": 10,
"webhooks": 20
}
}
}
Get the current subscription status
curl -X GET '/subscription/current' \
-H 'Authorization: Bearer YOUR_ACCESS_TOKEN'
{
"success": true,
"data": {
"tier_id": "tier_pro",
"tier_name": "Pro",
"status": "active",
"auto_renew": true,
"current_period_start": "2026-04-01T00:00:00Z",
"current_period_end": "2026-05-01T00:00:00Z",
"price_usd": 49,
"features": {
"rate_limit": 300,
"wallets": 50,
"api_keys": 10,
"webhooks": 20
}
}
}
Bearer YOUR_ACCESS_TOKENcurl -X GET '/subscription/current' \
-H 'Authorization: Bearer YOUR_ACCESS_TOKEN'
{
"success": true,
"data": {
"tier_id": "tier_pro",
"tier_name": "Pro",
"status": "active",
"auto_renew": true,
"current_period_start": "2026-04-01T00:00:00Z",
"current_period_end": "2026-05-01T00:00:00Z",
"price_usd": 49,
"features": {
"rate_limit": 300,
"wallets": 50,
"api_keys": 10,
"webhooks": 20
}
}
}